Subject: Comment on DLSw Address Parameters (DLSw draft 0.12)

From: Mark Duffy (x2418) <[email-masked]>
Date: Fri, 16 Sep 94 10:33:06 EDT

This is a comment on DLSw draft 0.12.

SECTION NUMBER: 3.2
SECTION NAME: Address Parameters

This section does not state what address parameters are to be provided
for all message type.  I suggest it be extended to state which
parameters must be supplied in the remaining message types (DGRMFRAME,
RESTART_DL, DL_RESTARTED, HALT_DL, DL_HALTED, DATAFRAME, HALT_DL_NOACK,
IFCM, NETBIOS_*).  This could be done by changing and extending the text
as I have indicated below, or perhaps clearer yet by adding a table.  The
table would list the various addressing parameters across the top and
all the message types down the left side, with marks to indicate which
parameters are to be placed in which messages.

CURRENT TEXT:
"Once the connection has been established, the INFOFRAME messages are
exchanged with the shorter header."

PROPOSED NEW TEXT:
"Once the connection has been established, INFOFRAME and IFCM messages are
exchanged with the shorter header."

I also propose text such as the following be added at the very end of
section 3.2.  I have taken my own guess as to which addressing
parameters should be used; feel free to modify them.  I have not written
statements for the NETBIOS_* messages because I am not familiar with them.

MORE PROPOSED NEW TEXT:
"During Link Restart, the RESTART_DL and DL_RESTARTED messages are
exchanged.  These messages are addressed by Data Link ID, Origin Circuit
ID, and Target Circuit ID.

During Link Disconnect, the HALT_DL_NOACK or HALT_DL and DL_HALTED
messages are exchanged.  These messages are all addressed by Data Link
ID, Origin Circuit ID, and Target Circuit ID.  In cases where the Data
Link IDs are not known, 0 is filled in.

DATAFRAME messages are addressed by Data Link ID.

DGRMFRAME messages are addressed by Origin Circuit ID and Target Circuit ID."
[Is this true or are DGRMFRAME sent with an Information Message header and
addressed by Remote Circuit ID??  I can't tell from the spec.]